> ## Documentation Index
> Fetch the complete documentation index at: https://doc.haipay.net/llms.txt
> Use this file to discover all available pages before exploring further.

# 代收申请

> appId需使用科威特第纳尔对应的，用户支付成功后增加科威特第纳尔余额

<div class="flex flex-col gap-4">
  <div class="api-section-heading flex flex-col gap-y-4 w-full">
    <div class="flex items-baseline border-b pb-2.5 border-gray-100 dark:border-gray-800 w-full">
      <h4 class="api-section-heading-title flex-1 mb-0">密钥私钥(生成签名)</h4>
    </div>

    <div />
  </div>

  <input id="secret-key" placeholder="密钥" class="px-3 py-2 border rounded-md" />

  <input id="private-key" placeholder="私钥" class="px-3 py-2 border rounded-md" />
</div>

## 相关主题

* [科威特支付接口](/docs/zh/api/version2/Kuwait)
* [HaiPay API 文档简介](/docs/zh/api-reference/overview)
* [HaiPay 配置与签名指南](/docs/zh/guide/config_settings_and_signature_rules_guide)


## OpenAPI

````yaml docs/zh/V20260701/api-reference/kwd/kwd.openapi.json POST /kwd/collect/apply
openapi: 3.0.1
info:
  title: 默认模块
  description: ''
  version: 1.0.0
servers:
  - url: https://uat-interface.haipay.asia
    description: 测试-interface
security: []
tags: []
paths:
  /kwd/collect/apply:
    post:
      tags: []
      summary: 科威特第纳尔代收申请
      description: appId需使用科威特第纳尔对应的，用户支付成功后增加科威特第纳尔余额
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                appId:
                  type: integer
                  description: 业务ID（后台获取，需要根据URL中的币种传递对应的业务ID）
                orderId:
                  type: string
                  description: 商户订单号(必须保证唯一性，长度不超过48)
                  maxLength: 48
                name:
                  type: string
                  description: 收款人姓名，用于风险控制
                phone:
                  type: string
                  description: 真实手机号（格式参考 电话号码格式 ）
                email:
                  type: string
                  description: 真实电子邮件
                  format: email
                amount:
                  type: string
                  description: 交易金额（单位：本币，精确到小数点后两位；禁止添加标点符号，例如：","），测试环境请使用10SAR以下的金额
                  pattern: ^\d+\.\d{2}$
                currency:
                  type: string
                  description: 币种(USD,本币)
                payType:
                  type: string
                  description: 交易类型
                inBankCode:
                  type: string
                  description: 支付方式
                callBackUrl:
                  type: string
                  description: 用户支付成功后跳转地址
                  format: uri
                callBackFailUrl:
                  type: string
                  description: 用户支付失败后跳转地址
                  format: uri
                cancelUrl:
                  type: string
                  description: 用户取消支付URL，如果传递，用户可在支付页面点击返回到此页面
                  format: uri
                notifyUrl:
                  type: string
                  description: 回调地址
                  format: uri
                goodsName:
                  type: string
                  description: 商品名称
                goodsQuantity:
                  type: string
                  description: 商品数量
                goodsPrice:
                  type: string
                  description: 商品单价
                  pattern: ^\d+\.\d{2}$
                goodsSku:
                  type: string
                  description: 商品唯一标识
                goodsAvatar:
                  type: string
                  description: 商品图(https://)
                  format: uri
                platform:
                  type: string
                  description: 平台名称
                subject:
                  type: string
                  description: 支付备注
                body:
                  type: string
                  description: 备注详情
                partnerUserId:
                  type: string
                  description: >-
                    用户唯一标识（如用户ID userId），用于风控系统，必须真实有效，否则会影响交易。
                    格式要求：数字、大小写字母或常用符号-~!@#$%&*()_。
                  pattern: ^[A-Za-z0-9\-~!@#$%&*()_]+$
                sign:
                  type: string
                  description: 签名
              required:
                - appId
                - orderId
                - name
                - phone
                - email
                - amount
                - payType
                - inBankCode
                - callBackUrl
                - callBackFailUrl
                - goodsName
                - goodsQuantity
                - goodsPrice
                - goodsSku
                - goodsAvatar
                - platform
                - partnerUserId
                - sign
              additionalProperties: false
            examples: {}
        required: true
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    description: 状态码
                  error:
                    type: string
                    description: 错误码
                  msg:
                    type: string
                    description: 返回信息
                  data:
                    type: object
                    properties:
                      orderId:
                        type: string
                        description: 商户订单号(必须保证唯一性)
                      orderNo:
                        type: string
                        description: 平台订单号
                      payUrl:
                        type: string
                        description: 支付链接
                      sign:
                        type: string
                        description: 签名
                    additionalProperties: false
                additionalProperties: false
          headers: {}
      deprecated: false
      security: []

````